D4Science Infrastructure - Task #11717

please enable context "well-being" to exploratories.d4science.org
May 02, 2018 10:36 AM - Massimiliano Assante

Status: Closed Start date: May 02, 2018
Priority: High Due date: May 04, 2018
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

The story for the wellbeing exploratory is ready, we need a some space to upload the webpage to be linked. Will do it in the folder
"well-being" on exploratories.d4science.org

The (index.html) page will respond to htips://exploratories.d4science.org/well-being/

History

#1 - May 02, 2018 10:36 AM - Massimiliano Assante
- Parent task set to #11704

#2 - May 02, 2018 10:38 AM - Massimiliano Assante

- Tracker changed from Feature to Task

- Project changed from 15 to D4Science Infrastructure

- Target version changed from SoBigData Gateway UX enhancements to UnSprintable

- Infrastructure Production added

#3 - May 02, 2018 10:44 AM - Massimiliano Assante

- Copied to Task #11718: please enable context "sports-analytics" to exploratories.d4science.org added

#4 - May 02, 2018 10:44 AM - Massimiliano Assante

- Copied to deleted (Task #11718: please enable context "sports-analytics" to exploratories.d4science.org)

#5 - May 02, 2018 11:45 AM - Andrea Dell'Amico

We are talking about static content, right?

#6 - May 02, 2018 11:46 AM - Massimiliano Assante

Andrea Dell'Amico wrote:

We are talking about static content, right?

yes.

#7 - May 02, 2018 11:58 AM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 100

The /usr/share/nginx/html/ is now writeable by the gcube user. It's the web server document root, so you must create the well-being subdirectory and
put your html there. This is valid for every directory or file that not overlaps with the tomcat context names.

#8 - May 02, 2018 11:59 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#9 - May 02, 2018 12:11 PM - Massimiliano Assante

| did create a well-being folder under tomcat/webapps and put a sample index.html file but it isn't working
https://exploratories.d4science.org/well-being/

https://exploratories.d4science.org/well-being/index.html

404 Not Found
nginx

#10 - May 02, 2018 12:15 PM - Andrea Dell'Amico

You have to create it under /usr/share/nginx/html/
| could move that directory under /home/gcube but | think that there's a higher risk that it could be accidentally deleted.

#11 - May 02, 2018 12:28 PM - Massimiliano Assante

that's ok, sorry | misunderstood before.

Now we'd need to give permission to @lucapappalardo1984@gmail.com to upload files in that folder. I'm going to ask him to provide his SSH Public
Key.

#12 - May 03, 2018 05:45 PM - Massimiliano Assante
- Status changed from Feedback to Closed
